<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d" => base64_decode("bG1zZw=" . "="), "_8e571151c0c1d0" . "67c14c227bf6c6a" . "704" => base64_decode("ZG9jdW1lbnRzLmVkaXRkb2M" . "uZGVjbGFyZWRfZG9jX2Vycm" . "9y"), "_44a0f7eed3d3cd9c0c7c6" . "00eb1500b23" => base64_decode("Q2FuJ3QgbW92ZSB0byBkZXN0aW5hdGl" . "vbg=="), "_e16406e6d49d15f2ad16b" . "6658ad926ad" => base64_decode("ZG9jdW1lb" . "nRzLmZvbG" . "Rlcl9pc19" . "jbG9zZWQ="));




class ERMSPermsCheckerAdmin extends ERMSPermsChecker
{
    public function CanDelete(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043)
    {
        if (!$_68ffaaa31e3ba49ed9d6159fbee9f043 instanceof ERMSDataObj && !$this->CheckLocked($_68ffaaa31e3ba49ed9d6159fbee9f043)) {
            return false;
        }
        
        
        return true;
    }
    public function CanChangeDocument(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043 = null)
    {
        if (!$this->CheckLocked($_68ffaaa31e3ba49ed9d6159fbee9f043)) {
            return false;
        }
        return true;
    }
    public function CanChangeContent(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043 = null)
    {
        if (!$this->CheckLocked($_68ffaaa31e3ba49ed9d6159fbee9f043)) {
            return false;
        }
        return true;
    }
    public function CanOnlyCreateDrafts(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043 = null)
    {
        
        
        return false;
    }
    public function CanEditMetadata(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043)
    {
        if (!$this->CheckLocked($_68ffaaa31e3ba49ed9d6159fbee9f043)) {
            return false;
        }
        return true;
    }
    public function CanMove(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043, ERMSObject $_b0eff9162b2830bd7a38fc626c309d38 = null)
    {
        if (!$this->CanDelete($_68ffaaa31e3ba49ed9d6159fbee9f043)) {
            return false;
        }
        if (!$this->CanChangeContent($_b0eff9162b2830bd7a38fc626c309d38)) {
            return $this->PassError(false, $this, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_44a0f7eed3d3cd9c0c7" . "c600eb1500b23"]);
        }
        return true;
    }
    protected function CheckLocked(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043 = null)
    {
        if ($_68ffaaa31e3ba49ed9d6159fbee9f043 instanceof ERMSLockable && $_68ffaaa31e3ba49ed9d6159fbee9f043->IsLocked()) {
            return $this->SetErrMsg($_68ffaaa31e3ba49ed9d6159fbee9f043->IsFilePlan() ? $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e16406e6d49d15f2ad16b6" . "658ad926ad"]) : $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_8e571151c0c1d067c14c227bf6c6a" . "704"]), 409);
        }
        return true;
    }
    public function CanView(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043)
    {
        return true;
    }
}